Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230858 - Mouse for Wacom tablette is not relative
Summary: Mouse for Wacom tablette is not relative
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-03 20:46 UTC by Ulrich Drepper
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-04 04:02:16 UTC


Attachments (Terms of Use)

Description Ulrich Drepper 2007-03-03 20:46:29 UTC
Description of problem:
When using the mouse of a graphire 3 tablette it behaves like an absolute device
(like the stylus) instead of like a normal mouse (i.e., relative).

Version-Release number of selected component (if applicable):
2.6.19-1.2895

How reproducible:
always

Steps to Reproduce:
1.install tablette
2.use mouse
3.
  
Actual results:
absolute positioning

Expected results:
relative positioning

Additional info:
The wacom kernel module is loaded.

There are also some other not so nice effects with the stylus which does not
have the range for the entire screen.  So I don't know how much the driver is
tested at all.

Comment 1 Ulrich Drepper 2007-03-04 04:02:16 UTC
No problem, I guess.  The kernel doesn't magically do the work, the X
configuration mus be adjusted.

Comment 2 Pete Zaitcev 2007-03-04 06:32:32 UTC
Actually, I have an ancient tablet which I got from jkt in QA and when
I tried it the last time it definitely was relative. In fact, I checked
it with evtest and the wacom driver posted EV_REL events for it.

There's no absolute interface between X and mousedev at all. The only way
for X to get absolute events is to tap into evdev (even if wacom provided
them in the first place).


Note You need to log in before you can comment on or make changes to this bug.